Bug 434547 - Review Request: aprsd - Internet gateway and client access to amateur radio APRS packet data
Review Request: aprsd - Internet gateway and client access to amateur radio A...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 12:19 EST by Lucian Langa
Modified: 2008-07-15 09:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 09:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-02-22 12:19:45 EST
Spec URL: http://lucilanga.fedorapeople.org/aprsd.spec
SRPM URL: http://lucilanga.fedorapeople.org/aprsd-2.2.5-15.2.fc8.src.rpm
Description: APRSd is an APRS server program that uses amateur radio and internet
services to convey GPS mapping, weather, and positional data.
It has been developed by and for amateur radio enthusiasts to provide
real-time data in an easy to use package.
Comment 1 Robert 'Bob' Jensen 2008-02-26 09:11:10 EST
This project is dead upstream best I can tell. There may also be some issues
with how the software works, I am looking for input from some more knowledgeable
in the situation. I think this review request might need to be closed.
Comment 2 Lucian Langa 2008-02-27 00:36:18 EST
I know upstream seems dead, I know there are certain issues in operating
a APRSd gateway but again there are people using this so I think this
package will help as there are a lot of fedora users who compile this from source.
Comment 3 eric@christensenplace.us 2008-02-27 13:47:01 EST
From N5JXS Gerry Creager @ TAMU:
Several issues have appeared.  Aprsd can be misconfigured to cause looping in
the APRS-IS, and often is.  The javaAPRSSrvr code has been revamped to detect
and solve this but we still see hiccups occasionally.

Xastir makes a better iGate, and if hams ask AE5PL, they can get the java code
for igating or 2ndary servers.  I'd much rather see a script to take the java
package and make it go into a predetermined area.  I'd also love to see it
executed as a non-priv user with access to the needed ports/sockets.
Comment 4 Jeroen van Meeuwen 2008-02-27 18:56:51 EST
RPM Lint: OK, but warning for using $prog to lock the subsys. I suggest using
'aprsd' instead of '$prog' just like sshd does (for example)
Package name: OK
Spec file: OK
License: OK
Actual License: OK
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: OK

Applicable Package Guidelines:
 - debuginfo package: OK (~524K)
Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

APPROVED
Comment 5 Lucian Langa 2008-02-28 00:46:48 EST
New Package CVS Request
=======================
Package Name: aprsd
Short Description: Internet gateway and client access to amateur radio APRS
packet data
Owners: lucilanga,bjensen
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: Yes
Comment 6 Kevin Fenzi 2008-02-28 14:55:05 EST
cvs done.
Comment 7 Jeroen van Meeuwen 2008-03-15 07:25:39 EDT
Assigning back to cooly@gnome.eu.org
Comment 8 Mamoru TASAKA 2008-07-15 09:42:03 EDT
Please keep the assignee to the reviewer. Once reopening and then closing.

Note You need to log in before you can comment on or make changes to this bug.